### Enumeration

# FwupdPlugin ContextQuirkSource

#### Declaration

    enum FwupdPlugin.ContextQuirkSource

#### Description

No description available.

#### Members

Name | Description
--- | ---
`FU_CONTEXT_QUIRK_SOURCE_DEVICE` | Perhaps a USB descriptor.
`FU_CONTEXT_QUIRK_SOURCE_FILE` | An internal .quirk file.
`FU_CONTEXT_QUIRK_SOURCE_DB` | Populated from usb.ids and pci.ids.
`FU_CONTEXT_QUIRK_SOURCE_FALLBACK` | Perhaps from the PCI class information.